import * as v from 'valibot';
export declare namespace ClaimsQueryResult {
    const vParseResult: v.UnionSchema<[v.LooseObjectSchema<{
        readonly success: v.LiteralSchema<true, undefined>;
        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
    }, undefined>, v.LooseObjectSchema<{
        readonly success: v.LiteralSchema<false, undefined>;
        readonly output: v.UnknownSchema;
    }, undefined>], undefined>;
    type ParseResult = v.InferOutput<typeof vParseResult>;
    const vQueryResult: v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
        readonly success: v.LiteralSchema<true, undefined>;
        readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
    }, undefined>, v.LooseObjectSchema<{
        readonly success: v.LiteralSchema<false, undefined>;
        readonly output: v.UnknownSchema;
    }, undefined>], undefined>, undefined>], undefined>, undefined>;
    type QueryResult = v.InferOutput<typeof vQueryResult>;
    const vModelMdoc: v.ObjectSchema<{
        readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<true, undefined>;
            readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
        }, undefined>, v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<false, undefined>;
            readonly output: v.UnknownSchema;
        }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
        readonly isOptional: v.BooleanSchema<undefined>;
        readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly namespace: v.StringSchema<undefined>;
        readonly claim_name: v.StringSchema<undefined>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>;
    type Mdoc = v.InferOutput<typeof vModelMdoc>;
    const vW3cSdJwtVc: v.ObjectSchema<{
        readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<true, undefined>;
            readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
        }, undefined>, v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<false, undefined>;
            readonly output: v.UnknownSchema;
        }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
        readonly isOptional: v.BooleanSchema<undefined>;
        readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>;
    type W3cSdJwtVc = v.InferOutput<typeof vModelMdoc>;
    const vModel: v.UnionSchema<[v.ObjectSchema<{
        readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<true, undefined>;
            readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
        }, undefined>, v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<false, undefined>;
            readonly output: v.UnknownSchema;
        }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
        readonly isOptional: v.BooleanSchema<undefined>;
        readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly namespace: v.StringSchema<undefined>;
        readonly claim_name: v.StringSchema<undefined>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>, v.ObjectSchema<{
        readonly claim_query_results: v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.LiteralSchema<"all", undefined>, v.ArraySchema<v.UnionSchema<[v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<true, undefined>;
            readonly output: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
        }, undefined>, v.LooseObjectSchema<{
            readonly success: v.LiteralSchema<false, undefined>;
            readonly output: v.UnknownSchema;
        }, undefined>], undefined>, undefined>], undefined>, undefined>, undefined>;
        readonly isOptional: v.BooleanSchema<undefined>;
        readonly isRequiredIfPresent: v.BooleanSchema<undefined>;
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>], undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Out = v.InferOutput<typeof vModel>;
}
export type ClaimsQueryResult = ClaimsQueryResult.Out;
//# sourceMappingURL=v-claims-query-result.d.ts.map