import * as v from 'valibot';
import { ClaimsQuery } from './v-claims-query.js';
export var ClaimsQueryResult;
(function (ClaimsQueryResult) {
    ClaimsQueryResult.vParseResult = v.union([
        v.looseObject({
            success: v.literal(true),
            output: ClaimsQuery.vValue,
        }),
        v.looseObject({
            success: v.literal(false),
            output: v.unknown(),
        }),
    ]);
    ClaimsQueryResult.vQueryResult = v.array(v.union([v.literal('all'), v.array(ClaimsQueryResult.vParseResult)]));
    ClaimsQueryResult.vModelMdoc = v.object({
        ...ClaimsQuery.vMdoc.entries,
        claim_query_results: v.array(ClaimsQueryResult.vQueryResult),
        isOptional: v.boolean(),
        isRequiredIfPresent: v.boolean(),
    });
    ClaimsQueryResult.vW3cSdJwtVc = v.object({
        ...ClaimsQuery.vW3cSdJwtVc.entries,
        claim_query_results: v.array(ClaimsQueryResult.vQueryResult),
        isOptional: v.boolean(),
        isRequiredIfPresent: v.boolean(),
    });
    ClaimsQueryResult.vModel = v.union([ClaimsQueryResult.vModelMdoc, ClaimsQueryResult.vW3cSdJwtVc]);
})(ClaimsQueryResult || (ClaimsQueryResult = {}));
//# sourceMappingURL=v-claims-query-result.js.map