import * as v from 'valibot';
export declare namespace ClaimsQuery {
    const vValue: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>;
    type ClaimValue = v.InferOutput<typeof vValue>;
    const vPath: v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>;
    type ClaimPath = v.InferOutput<typeof vPath>;
    const vW3cSdJwtVc: v.ObjectSchema<{
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>;
    type W3cAndSdJwtVcInput = v.InferOutput<typeof vW3cSdJwtVc>;
    const vMdoc: v.ObjectSchema<{
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly namespace: v.StringSchema<undefined>;
        readonly claim_name: v.StringSchema<undefined>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>;
    type Mdoc = v.InferOutput<typeof vMdoc>;
    const vModel: v.UnionSchema<[v.ObjectSchema<{
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly namespace: v.StringSchema<undefined>;
        readonly claim_name: v.StringSchema<undefined>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>, v.ObjectSchema<{
        readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
        readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
        readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
    }, undefined>], undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Out = v.InferOutput<typeof vModel>;
}
export type ClaimsQuery = ClaimsQuery.Out;
//# sourceMappingURL=v-claims-query.d.ts.map