import * as v from 'valibot';
export declare const idRegex: RegExp;
export declare const claimSetIdRegex: RegExp;
export declare const credentialSetIdRegex: RegExp;
export declare const vCredentialFormat: v.PicklistSchema<["mso_mdoc", "vc+sd-jwt", "jwt_vc_json", "jwt_vc_json-ld"], undefined>;
export type NonEmpty<T extends unknown[]> = [T[number], ...T];
export declare namespace Mdoc {
    type NameSpaces = Record<string, Record<string, unknown>>;
    interface Credential {
        docType: string;
        namespaces: NameSpaces;
    }
}
export type Mdoc = Mdoc.Credential;
export declare const getIdMetadata: (credentialId: string) => {
    isOptional: boolean;
    isRequiredIfPresent: boolean;
    baseId: string;
};
//# sourceMappingURL=u-query.d.ts.map