import * as v from 'valibot';
export declare namespace VpQuery {
    const vModel: v.ObjectSchema<{
        readonly credentials: v.SchemaWithPipe<[v.ArraySchema<v.VariantSchema<"format", [v.ObjectSchema<{
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly format: v.LiteralSchema<"mso_mdoc", undefined>;
            readonly meta: v.OptionalSchema<v.ObjectSchema<{
                readonly doctype_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
            }, undefined>, never>;
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly namespace: v.StringSchema<undefined>;
                readonly claim_name: v.StringSchema<undefined>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, undefined>, v.NonEmptyAction<{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>, v.ObjectSchema<{
            readonly format: v.LiteralSchema<"vc+sd-jwt", undefined>;
            readonly meta: v.OptionalSchema<v.ObjectSchema<{
                readonly vct_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
            }, undefined>, never>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, undefined>, v.NonEmptyAction<{
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>, v.ObjectSchema<{
            readonly format: v.PicklistSchema<["jwt_vc_json", "jwt_vc_json-ld"], undefined>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>;
                readonly path: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.LiteralSchema<"*", undefined>], undefined>, undefined>, never>;
                readonly values: v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>], undefined>, undefined>, never>;
            }, undefined>, undefined>, v.NonEmptyAction<{
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[], undefined>]>, never>;
            readonly claim_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
        }, undefined>], undefined>, undefined>, v.NonEmptyAction<({
            id: string;
            format: "mso_mdoc";
            meta?: {
                doctype_values?: string[] | undefined;
            } | undefined;
            claims?: {
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[] | undefined;
            claim_sets?: string[][] | undefined;
        } | {
            id: string;
            format: "vc+sd-jwt";
            meta?: {
                vct_values?: string[] | undefined;
            } | undefined;
            claims?: {
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[] | undefined;
            claim_sets?: string[][] | undefined;
        } | {
            id: string;
            format: "jwt_vc_json" | "jwt_vc_json-ld";
            claims?: {
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
                path?: (string | number)[] | undefined;
            }[] | undefined;
            claim_sets?: string[][] | undefined;
        })[], undefined>]>;
        readonly credential_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.NonEmptyAction<string[][], undefined>]>, never>;
    }, undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Out = v.InferOutput<typeof vModel>;
    const validate: (vpQuery: Out) => void;
    const query: (vpQuery: VpQuery, credentials: import("../u-query.js").Mdoc[]) => import("./v-vp-query-result.js").VpQueryResult;
}
export type VpQuery = VpQuery.Out;
//# sourceMappingURL=v-vp-query.d.ts.map